local t = Def.ActorFrame{
	InitCommand=cmd(fov,100);
	
	Def.ActorFrame{
		Def.Quad{
			OnCommand=cmd(FullScreen;diffuse,color("0.2,0,0,1"););
		};
		
		Def.Quad{
			InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_BOTTOM-60;zoomtowidth,SCREEN_WIDTH;zoomtoheight,60;diffuse,color("1,0,0.5,0.4");diffusebottomedge,color("1,0,0.5,0"););
		};
		
		LoadActor("block3")..{
			InitCommand=cmd(CenterY;x,SCREEN_LEFT;zoomto,500,SCREEN_HEIGHT;customtexturerect,0,0,1,SCREEN_HEIGHT/self:GetHeight();ztest,true);
			OnCommand=cmd(texcoordvelocity,0,0.04;diffuse,color("0.7,0,0.3,0.8");diffuserightedge,color("0.7,0,0.3,0"););
		};
		
		LoadActor(THEME:GetPathB("","_logo/full"))..{
			InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_BOTTOM-30;zoomy,0.2;rotationx,180;diffusebottomedge,color("0,0,0,0"););
			OnCommand=cmd(diffuse,color("1,1,1,0.2");sleep,3.6;glow,color("1,0,1,1");linear,1;glow,color("0,0,0,0");queuecommand,"Repeat";);
			RepeatCommand=cmd(diffuse,color("1,1,1,0.2");sleep,5.6;glow,color("1,0,1,1");linear,1;glow,color("0,0,0,0");queuecommand,"Repeat";);
		};

		LoadActor( THEME:GetPathB("_shared","models/_box_s") )..{
			OnCommand=cmd(blend,'BlendMode_Add';draworder,4;x,SCREEN_CENTER_X+150;y,SCREEN_CENTER_Y;diffuse,color("1,0.2,0.5,0.8");zoom,0.4;rotationx,130;rotationy,-200;queuecommand,"Repeat";);
			RepeatCommand=cmd(spin;effectmagnitude,0,26,-12;);
			OffCommand=cmd(stoptweening;);
		};
	
		Def.Quad{
			InitCommand=cmd(Center;zoomtowidth,SCREEN_WIDTH;zoomtoheight,100;diffuse,color("1,0,0.2,0.4"););
		};
	};

	Def.ActorFrame{
		InitCommand=cmd(Center;);


		LoadActor(THEME:GetPathB("","_logo/7_front"))..{
			InitCommand=cmd(x,47;y,10;);
			OnCommand=cmd(diffuse,color("1,1,1,1");sleep,3.6;glow,color("1,0,1,1");linear,1;glow,color("0,0,0,0");queuecommand,"Repeat";);
			RepeatCommand=cmd(diffuse,color("1,1,1,1");sleep,5.6;glow,color("1,0,1,1");linear,1;glow,color("0,0,0,0");queuecommand,"Repeat";);
		};
		LoadActor(THEME:GetPathB("","_logo/7_effect"))..{
			InitCommand=cmd(x,66;y,-17;);
			OnCommand=cmd(diffusealpha,0;glow,color("0,0,0,0");sleep,4;diffusealpha,1;glow,color("1,0,0,1");linear,0.3;zoom,1.1;diffusealpha,0;glow,color("0,0,0,0");sleep,0.3;zoom,1;queuecommand,"Repeat";);
			RepeatCommand=cmd(diffusealpha,0;glow,color("0,0,0,0");sleep,6;diffusealpha,1;glow,color("1,0,0,1");linear,0.3;zoom,1.1;diffusealpha,0;glow,color("0,0,0,0");sleep,0.3;zoom,1;queuecommand,"Repeat";);
		};

		LoadActor(THEME:GetPathB("","_logo/backcs"))..{
			InitCommand=cmd(x,-56;y,-28;);
			OnCommand=cmd(diffusealpha,0;cropbottom,1;decelerate,0.3;cropbottom,0;zoomy,1;diffuse,color("1,1,1,1");sleep,3.8;diffuse,color("1,0.6,0,0.5");linear,0.5;diffuse,color("1,1,1,1");sleep,0.3;queuecommand,"Repeat";);
			RepeatCommand=cmd(diffuse,color("1,1,1,1");sleep,5.8;diffuse,color("1,0.6,0,0.5");linear,0.5;diffuse,color("1,1,1,1");sleep,0.3;queuecommand,"Repeat";);
		};
		LoadActor(THEME:GetPathB("","_logo/title-cs"))..{
			InitCommand=cmd(x,-144;y,-29;);
			OnCommand=cmd(diffuse,color("0,0,0,0");sleep,4.2;diffuse,color("1,1,0,1");zoom,1;linear,0.3;zoom,1.25;diffuse,color("0,0,0,0");sleep,0.1;queuecommand,"Repeat";);
			RepeatCommand=cmd(diffuse,color("0,0,0,0");sleep,6.2;diffuse,color("1,1,0,1");zoom,1;linear,0.3;zoom,1.25;diffuse,color("0,0,0,0");sleep,0.1;queuecommand,"Repeat";);
		};

		LoadActor(THEME:GetPathB("","_logo/title-tyle"))..{
			InitCommand=cmd(x,20;y,-16;);
			OnCommand=cmd(diffuse,color("0,0,0,0");sleep,4.3;diffuse,color("1,0.3,0.4,1");zoom,1;linear,0.3;diffuse,color("0,0,0,0");queuecommand,"Repeat";);
			RepeatCommand=cmd(diffuse,color("0,0,0,0");sleep,6.3;diffuse,color("1,0.3,0.4,1");zoom,1;linear,0.3;diffuse,color("0,0,0,0");queuecommand,"Repeat";);
		};
		LoadActor(THEME:GetPathB("","_logo/title-yberia"))..{
			InitCommand=cmd(x,-16;y,-57;);
			OnCommand=cmd(diffuse,color("0,0,0,0");sleep,4.1;diffuse,color("1,0.3,0.4,1");zoom,1;linear,0.3;diffuse,color("0,0,0,0");sleep,0.2;queuecommand,"Repeat";);
			RepeatCommand=cmd(diffuse,color("0,0,0,0");sleep,6.1;diffuse,color("1,0.3,0.4,1");zoom,1;linear,0.3;diffuse,color("0,0,0,0");sleep,0.2;queuecommand,"Repeat";);
		};



		LoadActor(THEME:GetPathB("","_logo/etc"))..{
			InitCommand=cmd(x,-45;y,49;diffusealpha,1;);
		};
		
		LoadActor(THEME:GetPathB("","_logo/cs7c"))..{
			InitCommand=cmd(x,-10;y,80;diffusealpha,1;);
		};
		

		LoadActor(THEME:GetPathB("","_logo/wau"))..{
			InitCommand=cmd(x,-56;y,-28;);
			OnCommand=cmd(diffusealpha,0;diffuse,color("1,1,0,1");cropright,1;cropleft,-0.3;decelerate,0.6;cropright,-0.3;linear,1;diffusealpha,0;sleep,2.4;queuecommand,"Repeat";);
			RepeatCommand=cmd(diffusealpha,0;diffuse,color("1,1,0,1");cropright,1;cropleft,-0.3;decelerate,0.6;cropright,-0.3;linear,1;diffusealpha,0;sleep,5;queuecommand,"Repeat";);
		};
		LoadActor(THEME:GetPathB("","_logo/title-cybst"))..{
			InitCommand=cmd(x,-56;y,-28;);
			OnCommand=cmd(diffusealpha,0;diffuse,color("1,0,0,1");zoomx,100;linear,0.3;zoomx,1;diffusealpha,1;linear,1;diffusealpha,0;sleep,3.3;queuecommand,"Repeat";);
			RepeatCommand=cmd(diffusealpha,0;diffuse,color("1,0,0,1");zoomx,100;linear,0.3;zoomx,1;diffusealpha,1;linear,1;diffusealpha,0;sleep,5.3;queuecommand,"Repeat";);
		};
		LoadActor(THEME:GetPathB("","_logo/subtitle"))..{
			InitCommand=cmd(x,68;y,18;);
			OnCommand=cmd(diffusealpha,0;glow,color("0,0,0,0");diffusealpha,1;zoomx,100;linear,0.3;zoomx,1;sleep,5;glow,color("1,0,0,1");accelerate,0.5;glow,color("0,0,0,0");sleep,0.2;queuecommand,"Repeat";);
			RepeatCommand=cmd(glow,color("0,0,0,0");sleep,5.3;glow,color("1,0,0,1");accelerate,0.5;glow,color("0,0,0,0");sleep,0.2;queuecommand,"Repeat";);
		};
	};
	
};
return t;